Subject: Re: [PATCH 08/14] netlink: implement memory mapped sendmsg()

From: Patrick McHardy <[email-masked]>
Date: Thu, 18 Apr 2013 12:31:25 +0200

On Wed, Apr 17, 2013 at 11:57:43PM +0100, Ben Hutchings wrote:
> On Wed, 2013-04-17 at 18:47 +0200, Patrick McHardy wrote:
> > Add support for mmap'ed sendmsg() to netlink. Since the kernel validates
> > received messages before processing them, the code makes sure userspace
> > can't modify the message contents after invoking sendmsg(). To do that
> > only a single mapping of the TX ring is allowed to exist and the socket
> > must not be shared. If either of these two conditions does not hold, it
> > falls back to copying.
> [...]
> 
> Is this resistant against copy_to_process()?

I don't know, there's no copy_to_process() function is the tree I'm using.